/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-10-11
 * 描述            ：工器具-刀片修磨-鉴定处置记录
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Dev.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Dev.mapper.DevBladeGrindingCdMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="DEV_BLADE_GRINDING_CD", namespace=DevBladeGrindingCdMapper.class)
public class DevBladeGrindingCd extends BaseVO implements Serializable {
	/** 
	 * 修磨记录号
	 */ 
	@Id
	private String serial_no;
	public String getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 鉴定处置序号（次数，1 - N）
	 */ 
	@Id
	private Long cd_sqc;
	public Long getCd_sqc() {
		return this.cd_sqc;
	}
	public void setCd_sqc(Long cd_sqc) {
		this.cd_sqc = cd_sqc;
	}

	/** 
	 * 修磨后外径
	 */ 
	@Column
	private Double dia_outer_aft;
	public Double getDia_outer_aft() {
		return this.dia_outer_aft;
	}
	public void setDia_outer_aft(Double dia_outer_aft) {
		this.dia_outer_aft = dia_outer_aft;
	}

	/** 
	 * 鉴定结果（1：合格、0：不合格）
	 */ 
	@Column
	private String check_result;
	public String getCheck_result() {
		return this.check_result;
	}
	public void setCheck_result(String check_result) {
		this.check_result = check_result;
	}

	/** 
	 * 鉴定人
	 */ 
	@Column
	private String check_opr;
	public String getCheck_opr() {
		return this.check_opr;
	}
	public void setCheck_opr(String check_opr) {
		this.check_opr = check_opr;
	}

	/** 
	 * 处置结果（0：可用、1：重修、9：报废）
	 */ 
	@Column
	private String disposal_result;
	public String getDisposal_result() {
		return this.disposal_result;
	}
	public void setDisposal_result(String disposal_result) {
		this.disposal_result = disposal_result;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 操作人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 操作时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
